Fedora 33 - still problems with /usr/libexec/platform-python

Hello,

tried to install rocm-dev (for rocm 4.0.0) on Fedora 33,
Error seems to be related to missing python2? Thought this bug has already been reported for older fedora versions, but still exists - also for newest rocm-dev (which is in CENTOS8 repository)
Probably CENTOS 8 is still with python2?

However, I did not find a proper bug fix by now. Can somebody provide a hint?
Thanks

Problem: package rocm-dev-4.0.0.40000-23.el8.x86_64 requires rocm-smi-lib64, but none of the providers can be installed

  • conflicting requests
  • nothing provides /usr/libexec/platform-python needed by rocm-smi-lib64-2.9.0.9_rocm_rel_4.0_23_4b49d2d-1.x86_64
    (try to add ‘–skip-broken’ to skip uninstallable packages)

1 Like

Since Python 2 is no longer supported, Python 2 has also been deprecated in Fedora since Fedora 30:

https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

You can still install the interpreter if you need it:

sudo dnf install python2.7

The package you are trying to install was not built for Fedora. It was built for el7/CentOS. Packages built for Fedora do sometimes work on EL/CentOS and vice versa but not always. In this case, it is looking for the /usr/libexec/platform-python file which is not provided by any package in Fedora. It probably is in EL/CentOS.

It’ll be best to request your provider to generate a package for Fedora. That’ll be the simplest solution.

Thanks,

so probably it will be best to build rocm4 from the source.

I will give it a try.

1 Like

Yeh, or if they’ve published the spec for their rpm, you could perhaps tweak it to rebuild it work on Fedora. The first thing to do would be to remove the requirement on this /usr/libexec/platform-python file.

1 Like